Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler.modules
Class MbeansDescriptorsDigesterSource

    java.lang.Object
      org.apache.tomcat.util.modeler.modules.ModelerSource
          org.apache.tomcat.util.modeler.modules.MbeansDescriptorsDigesterSource

    public class MbeansDescriptorsDigesterSource

extends ModelerSource

Field Summary
`protected static Digester` | `digester`

Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`location, source`

Constructor Summary
`MbeansDescriptorsDigesterSource()`

Method Summary
`protected static Digester` | `createDigester()`
`void` | `execute()`
`List<ObjectName>` | `loadDescriptors(Registry registry, String type, Object source)`
`void` | `setLocation(String loc)` Deprecated. Unused. Will be removed in Tomcat 8.0.x
`void` | `setRegistry(Registry reg)`
`void` | `setSource(Object source)`
`void` | `setType(String type)` Used if a single component is loaded

Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`getInputStream, loadDescriptors, store, updateField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### digester

    protected static volatile Digester digester

Constructor Detail

### MbeansDescriptorsDigesterSource

    public MbeansDescriptorsDigesterSource()

Method Detail

### createDigester

    protected static Digester createDigester()

### setRegistry

    public void setRegistry(Registry reg)

### setLocation

    @Deprecated
    public void setLocation(String loc)

  Deprecated. Unused. Will be removed in Tomcat 8.0.x

### setType

    public void setType(String type)

  Used if a single component is loaded

  Parameters:
    `type` -

### setSource

    public void setSource(Object source)

### loadDescriptors

    public List<ObjectName> loadDescriptors(Registry registry,
                                            String type,
                                            Object source)
                                     throws Exception

  Specified by:
    `loadDescriptors` in class `ModelerSource`
  Throws:
    `Exception`

### execute

    public void execute()
                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.